Page MenuHomePhabricator

Request creation of collaborate VPS project
Closed, ResolvedPublic

Description

Project Name: collaborate

Purpose: shared place for labs users to host and share files and hold meetings

Wikitech Username of requestor: matanya

Brief description of project:

my intention is to have nextcloud (https://nextcloud.com/) installed in labs for the benefit of labs users

source in github: https://github.com/nextcloud

How soon you are hoping this can be fulfilled:

when possible.

Event Timeline

Matanya created this task.Nov 26 2017, 7:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 26 2017, 7:21 PM
bd808 added a subscriber: bd808.Nov 26 2017, 11:09 PM

@Matanya which features of nextcloud are you hoping to have Cloud Services users take advantage of? I'm a bit skeptical of the file sharing feature as a) something that could use up a lot of disk space very quickly and b) something that could be abused to transfer files with inappropriate licensing or content.

I'm also curious about the authentication layer that you are thinking about using with this project. Using the existing LDAP directory would be against the Cloud Services terms of use, so you would need to either host your own LDAP directory or find a way to integrate an external authentication source like MediaWiki OAuth.

Can we sort out some specific use cases for this?

use cases:

video conf call using spreed
file sharing with quota per user
labs mail/calendar

regarding ldap: i plan to do my own.

bd808 added a comment.Nov 29 2017, 6:37 PM

@Matanya and I talked a bit on irc about some of my concerns for potential abuse of the file drop and how to evaluate if the project is successful. He will take responsibility to supervise the file sharing usage. We also agreed to check on the adoption of the service in a couple months to decide if it is worth continuing to maintain. I will file a separate ticket to remind us to do that evaluation in February or March.

Mentioned in SAL (#wikimedia-cloud) [2017-11-29T18:42:55Z] <bd808> Created project with matanya as initial admin (T181369)

bd808 closed this task as Resolved.Nov 29 2017, 6:48 PM
bd808 claimed this task.